#
# spec file for package python-coards
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-coards
Version:        1.0.5
Release:        1.1
Summary:        A parser for COADS-compliant dates
License:        MIT
Group:          Development/Languages/Python
Url:            http://code.dealmeida.net/coards
Source:         https://files.pythonhosted.org/packages/source/c/coards/coards-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This module is intended to help parse time values
represented using the COARDS convention.

%prep
%setup -q -n coards-%{version}

# Make the doctests python3-compatible
2to3 -wnd src/coards/__init__.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{python_sitelib}

# This only does a test
rm %{buildroot}%{_bindir}/coards

%if %{with test}
%check
%python_expand $python %{buildroot}%{$python_sitelib}/coards/__init__.py -v
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc NEWS.txt README.rst
%{python_sitelib}/*

%changelog
* Wed Jul 12 2017 toddrme2178@gmail.com
- Initial version
